Subject: re: updated: RDF/XML Media Type registration draft
From: Larry Masinter <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 23 Aug 2003 00:15:37 -0700
List-Id: <ietf-xml-mime.imc.org>

"However, in RDF, the thing identified by a URI with
fragment identifier does not bear any particular
relationship to the thing identified by the URI alone.
This differs from some readings of the URI
specification[6], so attention is recommended when
creating new RDF terms which use fragment identifiers."

I confess to have never liked this attempt to use fragment
identifiers in RDF to 'descend into meaning' rather than
to identify a structural fragment; I think it's inconsistent,
and leaves you no way to talk about structural fragments.

The notion that the resource identified by
"http://some.host/some.path#" and "http://some.host/some.path"
are completely unrelated seems pathological.

So not sure 'attention is recommended' captures
the necessary caution.

I think part of the problem is that the draft only
addresses URI references with fragment identifiers
when those URI references are used _as RDF terms_.
But what about other uses? If I have a web page with

<a href="http://some.host/some.path#concept">link
to a concept</a>

what might a legitimate response be to clicking
on that as a link? I can't tell from this document
or the documents it references.

Date: 7 Aug 2003 15:26:23 -0500
From: "Aaron Swartz" <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Cc: "Dave Beckett" <[email-masked]>, "Graham Klyne" <[email-masked]>
Subject: updated: RDF/XML Media Type registration draft
Sender: [email-masked]

I've updated the draft to reflect all the comments I've received. Here  
are the changes I've made:

1. Changed type to be "rdf " so as to be consistent with the syntax doc.

2. Deleted section on social meaning.

3. Refers to Concepts instead of Model Theory.

4. Added paragraph to interoperability considerations:
     RDF is intended to allow common information to be exchanged between
     disparate applications.  A basis for building common understanding  
is
     provided by <xref target="W3C.rdf-mt">a formal semantics</xref>, and
     applications that use RDF should do so in ways that are consistent  
with this.

5. Added paragraph to section on Fragment Identifiers:
     More details on RDF's view of fragment identifiers can be found in  
the
     section "Fragment Identifiers" of <xref  
target="W3C.rdf-concepts">the
     RDF Concepts document</xref>.

The updated version is available at:
http://www.aaronsw.com/2002/draft-swartz-rdfcore-rdfxml-mediatype 
-03.html

Unless there are any objections, I plan to submit it as an updated  
Internet-Draft. We'll probably do this again after the RDF specs go to  
REC. Thanks for all your help.
-- 
Aaron Swartz: http://www.aaronsw.com/